Facebook
LinkedIn
YouTube
Getting Started
Authentication
Authentication
  • V2 Authentication (Deprecated)
  • V3 Authentication
V2 API Documentation (Deprecated)V3 API Documentation
Getting Started
Authentication
Authentication
  • V2 Authentication (Deprecated)
  • V3 Authentication
V2 API Documentation (Deprecated)V3 API Documentation
  1. Webhooks
  • Platform
    • Users
      • List Users
      • Get User Details
      • Update User
      • Partial Update User
      • Delete User
      • Create User
    • Groups
      • List Child Groups
      • Get Group Tree
      • Get Group Details
      • List Groups
      • Get Org Unit Hierarchy
      • Update Group
      • Partial Update Group
      • Delete Group
      • Create Group
    • Webhooks
      • List Webhooks
        GET
      • Get Webhook Details
        GET
      • Update Webhook
        PUT
      • Partial Update Webhook
        PATCH
      • Delete Webhook
        DELETE
      • Create Webhook
        POST
    • Media Prompts
      • List Prompts
      • Upload Prompt
      • Delete Prompt
  • AI Voice Agents
    • List AI Voice Agents
      GET
    • Create Agent
      POST
    • Get Agent Details
      GET
    • Update Agent
      PUT
    • Partial Update Agent
      PATCH
    • Delete Agent
      DELETE
  • Phone Numbers
    • Assigned Numbers
      GET
    • Provisioned Numbers
      GET
    • Reserved Numbers
      DELETE
    • Phone Numbers
      POST
    • Available Numbers
      GET
  • Provisioned Routes
    • List Provisioned Routes
      GET
    • Create Provisioned Route
      POST
    • Get Provisioned Route Details
      GET
    • Delete Provisioned Route
      DELETE
    • Update Provisioned Route
      PUT
    • Partial Update Provisioned Route
      PATCH
  • SMS Broadcasts
    • List Broadcasts
    • Create Broadcast
    • Get Broadcast Details
    • Update Broadcast
    • Partial Update Broadcast
    • Delete Broadcast
  • Conversation
    • Calls
      • Get Calls List
      • Get Call By ID
    • SMS
      • Get SMS Conversations
  • Miscellaneous
    • List Ad Sources
    • List Industries
    • List Tags
    • Create Tag
    • Update Tag
    • Delete Tag
  1. Webhooks

Partial Update Webhook

PATCH
https://platform-api.convirza.com/v3/webhooks/{id}
Webhooks
Last modified:2026-04-03 14:27:57
Applies a partial update to a webhook, modifying only the fields present in the request body.
⚠️ DEPRECATION NOTICE
PascalCase field names (webhook_Name, webhook_Endpoint, include_Data_Append, include_DNI_Logs, include_Indicator_Scores, include_IVR_Keypresses, static_Parameter) are DEPRECATED.
Please use snake_case field names (webhook_name, webhook_endpoint, include_data_append, include_dni_logs, include_indicator_scores, include_ivr_keypresses, static_parameters) instead.
Both formats are currently supported for backwards compatibility, but PascalCase fields will be removed in v4 API.
Common use cases
Update name: { "webhook_name": "Updated Name" }
Update target URL: { "webhook_endpoint": "https://new-endpoint.example.com/hook" }
Update status: { "webhook_status": "inactive" }
Update includes: { "include_data_append": true }
Constraints
At least one field must be present.
If webhook_endpoint is changed, it must be a valid HTTPS URL.
The webhook must not be in a deleted state.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Webhook updated successfully
Body

🟠400
🟠401
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://platform-api.convirza.com/v3/webhooks/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "webhook_id": 123,
    "webhook_name": "Updated Webhook Name",
    "webhook_endpoint": "https://example.com/updated-webhook",
    "description": "Updated description",
    "format": "JSON",
    "method": "GET",
    "include_data_append": true,
    "include_dni_logs": false,
    "include_indicator_scores": true,
    "include_ivr_keypresses": false,
    "webhook_status": "active",
    "static_parameters": [
        {
            "field_name": "api_key",
            "field_value": "sk_live_1234567890",
            "field_Name": "api_key",
            "field_Value": "sk_live_1234567890"
        }
    ],
    "webhook_Name": "Updated Webhook Name",
    "webhook_Endpoint": "https://api.example.com/webhooks/updated",
    "include_Data_Append": true,
    "include_DNI_Logs": false,
    "include_Indicator_Scores": true,
    "include_IVR_Keypresses": false,
    "static_Parameter": [
        {
            "field_name": "api_key",
            "field_value": "sk_live_1234567890",
            "field_Name": "api_key",
            "field_Value": "your-api-key-here"
        }
    ]
}'
Response Response Example
200 - Example 1
{
    "code": 200,
    "message": "Success",
    "data": {
        "webhookId": 123
    },
    "request_id": "550e8400-e29b-41d4-a716-446655440000",
    "timestamp": "2026-01-20T12:34:56.789Z"
}
Modified at 2026-04-03 14:27:57
Previous
Update Webhook
Next
Delete Webhook
Built with